Skip to main content
GET
/
customers
/
{id}
/
inapp-messages
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/customers/{id}/inapp-messages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.masivo.ai/api/storefront/v1/customers/{id}/inapp-messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.masivo.ai/api/storefront/v1/customers/{id}/inapp-messages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "messages": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "priority": 123,
        "expires_at": "2023-11-07T05:31:56Z",
        "trigger": {
          "event": "<string>"
        },
        "content": {
          "title": "<string>",
          "body": "<string>",
          "image_url": "<string>",
          "html": "<string>",
          "sections": [
            {
              "title": "<string>",
              "items": [
                {
                  "label": "<string>",
                  "value": "<string>",
                  "highlight": true
                }
              ]
            }
          ],
          "buttons": [
            {
              "id": "<string>",
              "text": "<string>",
              "value": "<string>"
            }
          ],
          "link": "<string>",
          "pinned": true
        },
        "display_rules": {
          "max_impressions": 123,
          "min_interval_seconds": 123,
          "priority": 123
        },
        "data": {}
      }
    ]
  }
}
{
  "error": "<string>",
  "details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The customer unique identifier in your system

Query Parameters

brand_id
string

Filter messages by brand id

trigger
string

Filter by trigger event type. Returns messages with no trigger or a matching trigger_event

types
string

Comma-separated message types to include

Example:

"modal,banner"

limit
integer
default:10

Maximum messages to return (1–50, default 10)

Required range: 1 <= x <= 50

Response

Ok

data
object